Subject: bug#24205: 25.1.50; Re-display issue (lag) when opening certain files [sml-mode]

From: Kaushal Modi <[email-masked]>
Date: Thu, 11 Aug 2016 21:15:52 +0000

On Thu, Aug 11, 2016 at 4:28 PM Eli Zaretskii <[email-masked]> wrote:

> I must explain something so that my requests don't sound arbitrary.
> When I work on a problem, I usually run Emacs many times in different
> ways, most of the times under a debugger.  Since the debugger (and
> other tools) need to read my init files for working properly as I'm
> used to, I cannot easily change my home directory, or mess with my
> init files during the debugging session.  In addition, with 10-20 sec
> delay I don't need a profiler to notice it.
>
> So it is much more helpful to have a recipe that is as simple as
> possible (so invoking it many times won't be painful), avoids
> interfering with my init files and system configuration, and includes
> only the stuff that is directly relevant to the bug reproduction.
>
> A good recipe along the above lines could easily speed up a bugfix by
> hours and even days.  So if you can afford that, please try to follow
> these guidelines when you prepare a recipe.
>
> I hope this clarifies the reason for my requests.
>

Makes sense. I was under the impression that having an all-inclusive MWE
was more useful and so I went through the effort of creating one :) I was
under the impression that you would run "r -Q" in gdb and simply paste my
code in there to get going. But now I understand that you need your
personal config too to help you debug in the most efficient way.

As for the recipe for this one:

1. Install sml-mode from GNU Elpa.
2. Save a file called foo.sml with below content:
=====
 (* ''a is a special equality type (it is not the same as the generic 'a
type. It *)
=====
Note that while doing so, if the buffer is already in sml-mode, you might
not even need to go to step 3. Because the same thing happened to me when I
encountered this bug for the first time. I was actually typing out that
comment, and my emacs started freezing as I was typing.
3. Open it.

Thanks for working on this.
-- 

Kaushal Modi